Create Retailer Routing Guide
curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"file_content": "aSDinaTvuI8gbWludGxpZnk=",
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides"
payload = {
"file_name": "<string>",
"file_content": "aSDinaTvuI8gbWludGxpZnk=",
"title": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_name: '<string>',
file_content: 'aSDinaTvuI8gbWludGxpZnk=',
title: '<string>',
description: '<string>'
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "<string>",
"id": 1
},
"meta": {
"processing_time": 123
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}Retailers
Create Retailer Routing Guide
Creates a new RetailerRoutingGuide from base64-encoded file content.
Allowed extensions: pdf, doc, docx, xls, xlsx, csv, txt.
Maximum decoded file size: 20 MB.
POST
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
Create Retailer Routing Guide
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the parent Retailer.
Required range:
x >= 1Body
application/json
Create payload — flat JSON with file_name, file_content (base64), and optional title / description.
Uploaded file name with extension (e.g. routing-guide.pdf).
Required string length:
1 - 255Base64-encoded file bytes. Maximum decoded file size is 20 MB.
Maximum string length:
27962028Optional title; defaults to the uploaded file name when blank.
Maximum string length:
255Optional notes.
Was this page helpful?
⌘I